# Uses of Class
org.codehaus.janino.Java.Block

Packages that use Java.Block
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.Block in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.Block
Modifier and Type
Field
Description
`final Java.Block`
Java.BlockLambdaBody.`block`
The block that poses the lambda body.
`final Java.Block`
Java.Initializer.`block`
The block that poses the initializer.
`final Java.Block`
Java.TryStatement.`finallY`
The optional "finally" block of the TRY statement.
Methods in org.codehaus.janino that return Java.Block
Modifier and Type
Method
Description
`Java.Block`
Parser.`parseBlock()`
Block := '{' BlockStatements '}'
`Java.Block`
Parser.`parseMethodBody()`
MethodBody := Block
Methods in org.codehaus.janino with parameters of type Java.Block
Modifier and Type
Method
Description
`void`
Unparser.`unparseBlock(Java.Block b)`
Generates Java code from a `Java.Block`.
`R`
Visitor.BlockStatementVisitor.`visitBlock(Java.Block b)`
Invoked by `accept(Visitor.BlockStatementVisitor)`
Constructors in org.codehaus.janino with parameters of type Java.Block
Modifier
Constructor
Description
``
`BlockLambdaBody(Java.Block block)`
``
`Initializer(Location location, Java.Modifier[] modifiers, Java.Block block)`
``
`TryStatement(Location location, List<Java.TryStatement.Resource> resources, Java.BlockStatement body, List<Java.CatchClause> catchClauses, Java.Block finallY)`

## Uses of Java.Block in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.Block
Modifier and Type
Method
Description
`Java.Block`
DeepCopier.`copyBlock(Java.Block b)`
`Java.Block`
DeepCopier.`copyOptionalBlock(Java.Block subject)`
Methods in org.codehaus.janino.util with parameters of type Java.Block
Modifier and Type
Method
Description
`Java.Block`
DeepCopier.`copyBlock(Java.Block b)`
`Java.Block`
DeepCopier.`copyOptionalBlock(Java.Block subject)`
`void`
AbstractTraverser.`traverseBlock(Java.Block b)`
`void`
Traverser.`traverseBlock(Java.Block b)`